/gleap-sessions | Type: Application | PCID required: Yes
Tools
gleap_sessions_create_session
Create a new session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
avatar | string | No | — | The avatar value |
blocked | boolean | No | — | The blocked value |
checklistTasks | object | No | — | Checklist Tasks |
companyId | string | No | — | Company Id |
companyName | string | No | — | Company Name |
countFeedbackComments | number | No | — | Count Feedback Comments |
countFeedbackReports | number | No | — | Count Feedback Reports |
customData | object | No | — | Custom Data |
deviceType | string | No | — | Device Type |
email | string | No | — | The email value |
emailOnly | boolean | No | — | Email Only |
eventData | object | No | — | Event Data |
facebookId | string | No | — | Facebook Id |
firstActivity | object | No | — | First Activity |
gleapHash | string | No | — | Gleap Hash |
gleapId | string | No | — | Gleap Id |
instagramId | string | No | — | Instagram Id |
instagramUsername | string | No | — | Instagram Username |
lang | string | No | — | The lang value |
lastActivity | object | No | — | Last Activity |
lastFeedbackReport | object | No | — | Last Feedback Report |
lastHeardFrom | object | No | — | Last Heard From |
lastPageView | object | No | — | Last Page View |
location | object | No | — | The location value |
name | string | No | — | The name value |
organisation | string | No | — | The organisation value |
outboundHistory | object | No | — | Outbound History |
phone | string | No | — | The phone value |
plan | string | No | — | The plan value |
platform | string | No | — | The platform value |
sessions | number | No | — | The sessions value |
sla | number | No | — | The sla value |
tags | string[] | No | — | The tags value |
telegramChatId | string | No | — | Telegram Chat Id |
telegramUsername | string | No | — | Telegram Username |
unsubscribed | boolean | No | — | The unsubscribed value |
unsubscribedAt | object | No | — | Unsubscribed At |
unsubscribeReason | string | No | — | Unsubscribe Reason |
userId | string | No | — | User Id |
value | number | No | — | The value value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"avatar": {
"type": "string",
"description": "The avatar value"
},
"blocked": {
"type": "boolean",
"description": "The blocked value"
},
"checklistTasks": {
"description": "Checklist Tasks"
},
"companyId": {
"type": "string",
"description": "Company Id"
},
"companyName": {
"type": "string",
"description": "Company Name"
},
"countFeedbackComments": {
"type": "number",
"description": "Count Feedback Comments"
},
"countFeedbackReports": {
"type": "number",
"description": "Count Feedback Reports"
},
"customData": {
"description": "Custom Data"
},
"deviceType": {
"type": "string",
"description": "Device Type"
},
"email": {
"type": "string",
"description": "The email value"
},
"emailOnly": {
"type": "boolean",
"description": "Email Only"
},
"eventData": {
"description": "Event Data"
},
"facebookId": {
"type": "string",
"description": "Facebook Id"
},
"firstActivity": {
"description": "First Activity"
},
"gleapHash": {
"type": "string",
"description": "Gleap Hash"
},
"gleapId": {
"type": "string",
"description": "Gleap Id"
},
"instagramId": {
"type": "string",
"description": "Instagram Id"
},
"instagramUsername": {
"type": "string",
"description": "Instagram Username"
},
"lang": {
"type": "string",
"description": "The lang value"
},
"lastActivity": {
"description": "Last Activity"
},
"lastFeedbackReport": {
"description": "Last Feedback Report"
},
"lastHeardFrom": {
"description": "Last Heard From"
},
"lastPageView": {
"description": "Last Page View"
},
"location": {
"description": "The location value"
},
"name": {
"type": "string",
"description": "The name value"
},
"organisation": {
"type": "string",
"description": "The organisation value"
},
"outboundHistory": {
"description": "Outbound History"
},
"phone": {
"type": "string",
"description": "The phone value"
},
"plan": {
"type": "string",
"description": "The plan value"
},
"platform": {
"type": "string",
"description": "The platform value"
},
"sessions": {
"type": "number",
"description": "The sessions value"
},
"sla": {
"type": "number",
"description": "The sla value"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"telegramChatId": {
"type": "string",
"description": "Telegram Chat Id"
},
"telegramUsername": {
"type": "string",
"description": "Telegram Username"
},
"unsubscribed": {
"type": "boolean",
"description": "The unsubscribed value"
},
"unsubscribedAt": {
"description": "Unsubscribed At"
},
"unsubscribeReason": {
"type": "string",
"description": "Unsubscribe Reason"
},
"userId": {
"type": "string",
"description": "User Id"
},
"value": {
"type": "number",
"description": "The value value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_sessions_delete_session
Delete a session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_export_sessions
Export sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_sessions_find_session_by_user_id
Get a session by user id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
userId | string | Yes | — | The userId identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"userId": {
"type": "string",
"description": "The userId identifier"
}
},
"required": [
"PCID",
"project",
"userId"
]
}
gleap_sessions_find_session_chargebee_info
Get session Chargebee info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_find_session_lemon_squeezy_info
Get session LemonSqueezy info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_find_session_shopify_info
Get session Shopify info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_find_session_stripe_info
Get session Stripe info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_get_checklists_for_session
Get session checklists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_get_session
Get a session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_get_session_activities
Get session activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_get_session_events
Get session events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_get_sessions
Get all sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_sessions_import_session
Import a session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"project",
"body"
]
}
gleap_sessions_import_session_intercom
Import sessions from intercom Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
apiKey | string | Yes | — | Api Key |
endpoint | string | Yes | — | The endpoint value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"apiKey": {
"type": "string",
"description": "Api Key"
},
"endpoint": {
"type": "string",
"description": "The endpoint value"
}
},
"required": [
"PCID",
"project",
"apiKey",
"endpoint"
]
}
gleap_sessions_resubscribe_session
Resubscribe a session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"sessionId",
"project"
]
}
gleap_sessions_search_sessions
Search for sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
}
},
"required": [
"PCID",
"project"
]
}
gleap_sessions_unsubscribe_sessions
Unsubscribe sessions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | Yes | — | The project value |
reason | string | No | — | The reason value |
sessions | object[] | Yes | — | The sessions value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project value"
},
"reason": {
"type": "string",
"description": "The reason value"
},
"sessions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User Id"
},
"email": {
"type": "string",
"description": "The email value"
}
}
},
"description": "The sessions value"
}
},
"required": [
"PCID",
"project",
"sessions"
]
}
gleap_sessions_update_session
Update a session Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sessionId | string | Yes | — | Session Id |
project | string | Yes | — | The project value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sessionId": {
"type": "string",
"description": "Session Id"
},
"project": {
"type": "string",
"description": "The project value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"sessionId",
"project",
"body"
]
}

